import { ElementRef, EventEmitter, Renderer2 } from '@angular/core';
import { FileError, FileOption, NgxfUploadDirective } from './ngxf-uploader.model';
/**
 * provide a directive for you to set area can be drop file into
 */
export declare class NgxfDropDirective implements NgxfUploadDirective {
    private _elm;
    private _render;
    /** when get drop file into area that will trigger */
    onUpload: EventEmitter<File | File[] | FileError>;
    fileOption: FileOption;
    multiple: string;
    accept: string;
    /**
     * add class when drop into this drop area
     * @default 'drop'
     */
    dropClass: string;
    constructor(_elm: ElementRef, _render: Renderer2);
    drop(e: DragEvent): Promise<void>;
    dragenter(e: Event): void;
    dragleave(e: Event): void;
}
